#include <iostream>
#include <algorithm>
#include <vector>
#include <string>

using namespace std;

int main() {
	ios::sync_with_stdio(false);
	cin.tie(nullptr);
	cout.tie(nullptr);

	int n; cin >> n;

	vector<int> a;
	
	bool turn = true;

	if (n % 2 == 0) {


		for (int i = n; i > 0; i -= 2) {
			if (turn) {
				a.push_back(i);
				turn = false;
			}
			else {
				a.push_back(2* n - i + 1);
				turn = true;
			}
		}
		for (int i = 1; i < n; i += 2) {
			if (turn) {
				a.push_back(i);
				turn = false;
			}
			else {
				a.push_back(2 *n - i + 1);
				turn = true;
			}
		}
	}

	else {
		bool turn = true;

		for (int i = n; i > 0; i -= 2) {
			if (turn) {
				a.push_back(i);
				turn = false;
			}
			else {
				a.push_back(2 * n - i + 1);
				turn = true;
			}
		}
		for (int i = 2; i < n; i += 2) {
			if (turn) {
				a.push_back(i);
				turn = false;
			}
			else {
				a.push_back(2 * n - i + 1);
				turn = true;
			}
		}

	}


	for (int x : a) {
		cout << x << " ";
	}
	cout << endl;
	for (int x : a) {
		cout << 2 * n - x + 1 << " ";
	}
	cout << endl;
	

	return 0;
}